func_plot2 <- function(ii, subdata, title, brks, cbar) {
  print('in func_plot2')
  
  validate(
    need(ii != 0, "Time step has been reset or data has been changed. Click plot button again.")
  )
  
  # load mapgenerator python library
  plotmap <- import("mapgenerator.plotting.plotmap")
  # create instance of the PlotMap class
  pm <- plotmap$PlotMap()
  outdir <- "/home/Earth/aho/aho-testtest/shiny"
  
  
  paths <- matrix(NA, length(subdata), length(subdata[[m]][[2]]))
  vars <- matrix(NA, length(subdata), length(subdata[[m]][[2]]))
  for (m in 1:length(subdata)) {
    for (n in 1:length(subdata[[m]][[2]])) {
        paths[m, n] <- subdata[[m]][[2]][[n]]$path
        vars[m, n] <- names(subdata[[m]][[2]])[n]
    }
  }
  print('paths')
  print(paths)
  print('vars')
  print(vars)
  # paths <- as.vector(paths)
  # vars <- as.vector(vars)
  
  if (all(brks) >= 0) {
    colors <- 'RdYlBu_r'
  } else {
    colors <- 'viridis'
  }
  
  for (m in 1:length(subdata)) {
    for (n in 1:length(subdata[[m]][[2]])) {
    # plot and save png & gif 
    pm$plot(srcfiles = paths[m, n],
            srcvars = vars[m, n],
            title = title,
            outdir = outdir,
            img_template = paste0("output_", m, "_", n, "_%(step)s"),
            lon = "0-360, 60",
            lat = "m90-90, 30",
            coordsopts = "0,6, grey",
            ysize = 0.7,
            coastsopts = "0.1, grey",
            resolution = 'l',
            ticks = paste0(brks[1], '-', brks[length(brks)], ',', diff(range(brks))/6),
            bounds = paste0(brks[1], '-', brks[length(brks)], ',', diff(range(brks))/length(brks)),
            colors = colors,
            timesteps = "all",
            anim = T)
    }
  }
  
  
  
  
  
  
  
  
  
  print('finish func_plot2!!')
  
  
}  #ends

